-- Test new_expense_amount
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(4);

set search_path to numerus, public;

select has_composite('numerus', 'new_expense_amount', 'Composite type numerus.new_expense_amount should exist');
select columns_are('numerus', 'new_expense_amount', array['taxes', 'total']);
select col_type_is('numerus'::name, 'new_expense_amount'::name, 'taxes'::name, 'text[]');
select col_type_is('numerus'::name, 'new_expense_amount'::name, 'total'::name, 'text');

select *
from finish();

rollback;
